@import url("../styles/animation/float.css");

.login {
  display: flex;
    justify-content: space-evenly;
    flex-wrap: nowrap;
    height: auto;
    padding: 2rem 2rem;
    min-height: 100dvh;
    align-items: flex-start;
}
.icon {
  animation: float 2.5s ease-in-out infinite;
}
.icons__container {
  width: 573px;
  padding: 0;
  display: grid;
  grid-template-columns: auto auto;
  gap: 0px;
  justify-items: center;
}

.icon--burger {
  width: 232.455px;
  height: 200.418px;
  transform: rotate(-27.166deg);
}
.icon--pizza {
  width: 293px;
  height: 261px;
  animation-delay: 0.7s;
}
.icon--fries {
  animation-delay: 1s;
  width: 235.237px;
  height: 227.351px;
  transform: rotate(40.47deg);
}
.icon--drink {
  width: 223px;
  height: 276px;
  transform: rotate(-25.353deg);
}

.login__form {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  width: 100%;
  height: 46dvh;
  min-width: 314px;
  padding: 2rem;
  border-radius: 53px;
  border: 3px solid var(--main-color);
  background: var(--form-bg-color);
  max-width: 515px;
}
.form__title {
  color: var(--main-color);
  font-family: Montserrat;
  font-size: 3.5rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  text-align: center;
  margin-bottom: 2rem;
}
.form__label {
  color: #f5f5f5;
  font-family: Montserrat;
  font-size: 2rem;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
}
.form__input {
  width: 95%;
  height: 4dvh;
  padding: 0.3rem;
  margin: 1rem 0 2rem 0;
}
.form__button {
  margin-top: 3rem;
  border: 2px solid #fff;
  padding: 1rem 2rem;
  border-radius: 10px;
  font-size: 1.7rem;
  font-weight: 600;
  background: black;
  color: var(--main-color);
}
.form__button:hover {
  background: var(--Bg-gradient);
}

@media screen and (max-width: 919px) {
  .login {
    flex-direction: column;
    align-items: center;
    padding: 2rem 1rem;
    justify-content: flex-start;
}
  .login__form {
    width: 86%;
    height: 46dvh;
    min-width: 251px;
  }
  .icon__img--login {
    width: 20.783px;
    height: 39.291px;
  }
  .icon__img--cart {
    width: 27.783px;
    height: 42.291px;
  }
  .icons__container > .icon {
    display: none;
  }
}
